{varType Skadmin\Ovagames\Doctrine\SliderItem\SliderItem $sliderItem}
{varType Skadmin\Ovagames\Doctrine\Slider\Slider $slider}

<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                {form form}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    <div class="row">
                        <div class="col-12 col-md-3 {!$slider->isTypeGame() ? 'd-none'}">
                            {label score /}
                            <div class="form-group">
                                {input score class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-{$slider->isTypeGame() ? 9 : 12}">
                            {label name /}
                            <div class="form-group">
                                {input name class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-lg-{$slider->isTypeMain() ? 4 : 6}">
                            {$form['imagePreview']|formImageWithRFM:$sliderItem->getImagePreview()}
                        </div>

                        <div class="col-12 col-lg-{$slider->isTypeMain() ? 4 : 6}">
                            {$form['imageOne']|formImageWithRFM:$sliderItem->getImageOne()}
                        </div>

                        <div class="col-12 col-lg-4" n:if="$slider->isTypeMain()">
                            {$form['imageTwo']|formImageWithRFM:$sliderItem->getImageTwo()}
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-6">
                            {label url /}
                            <div class="form-group">
                                {input url class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-6">
                            {label urlText /}
                            <div class="form-group">
                                {input urlText class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-6" n:if="$slider->isTypeMain()">
                            {label preTitle /}
                            <div class="form-group">
                                {input preTitle class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-{$slider->isTypeMain() ? 6 : 12}">
                            {label title /}
                            <div class="form-group">
                                {input title class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {label description /}
                            <div class="form-group">
                                {input description class => 'form-control',  data-tinymce => 'default'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="form-group custom-control custom-switch">
                                {input isActive: class => "custom-control-input"}
                                {label isActive: class => "custom-control-label" /}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                            {input sendBack class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                            {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                        </div>
                    </div>
                {/form}
            </div>
        </div>
    </div>

</div>